Package Details: devolo-dlan-cockpit 5.1.5.245-1

Git Clone URL: https://aur.archlinux.org/devolo-dlan-cockpit.git (read-only, click to copy)
Package Base: devolo-dlan-cockpit
Description: Display and configure settings of your devolo device
Upstream URL: https://www.devolo.com/support/downloads/download/devolo-cockpit.html
Keywords: cokpit devolo dlan
Licenses: nonfree
Submitter: japama
Maintainer: japama (plenaerts)
Last Packager: japama
Votes: 8
Popularity: 0.003296
First Submitted: 2015-12-16 12:49
Last Updated: 2021-03-20 08:38

Latest Comments

1 2 Next › Last »

ohli commented on 2020-11-06 20:30

Here's my version of the actual PKGBUILD, including checksums:

# Maintainer: Christophe LAVIE <christophe.lavie@laposte.net>
# Contributor: Christophe LAVIE <christophe.lavie@laposte.net> 29/03/2020


pkgname=devolo-dlan-cockpit
pkgver=5.1.4
pkgrel=1
name=devolo-cockpit-v${pkgver//./-}-linux.run
install=${pkgname}.install
pkgdesc="Display and configure settings of your devolo device"
arch=('i686' 'x86_64')
url="https://www.devolo.com/support/downloads/download/devolo-cockpit.html"
license=('nonfree')
depends=( 'adobe-air-sdk>=2.6' 'libgnome-keyring')

if [ "${CARCH}" = "x86_64" ]; then
  _arch="amd64"
else
  _arch="i386"
fi 

source=("https://www.devolo.de/fileadmin/Web-Content/DE/products/hnw/devolo-cockpit/software/$name" 'devolonetsvc.service')

build() {
  cd $srcdir
  skip=$(grep -a -m1 -n "HERE_BE_DRAG[O]NS" $name | cut -d: -f1)
  tail $name -n +$((skip+1)) | tar -x -C .
  ar x "devolo-dlan-cockpit_${pkgver}-0_${_arch}.deb"
  find . -name "adobeair*${_arch}.deb" -print | xargs ar x
  tar xJf data.tar.xz
  sed -i 's/\.appdata\//~\/\.appdata\//g' "${srcdir}/opt/devolo/dlancockpit/bin/dlancockpit-run.sh"
  echo "StartupWMClass=dlancockpit" >> "${srcdir}/usr/share/applications/devolo-dlan-cockpit.desktop"
}

package() {
    cp -r "${srcdir}/opt" "${srcdir}/usr" "${pkgdir}/"
    ln -s "/opt/adobe-air-sdk/runtimes/air/linux/Adobe AIR/" "${pkgdir}/opt/Adobe AIR"
    mkdir -p "${pkgdir}/var/lib/devolonetsvc"
    printf "<?xml version="1.0" encoding="utf-8"?>\n<data_collection><allowed>2</allowed></data_collection>" > "${srcdir}/config.xml"
    install -Dm644 "${srcdir}/config.xml" "${pkgdir}/var/lib/devolonetsvc/config.xml"   
    install -Dm644 "${srcdir}/devolonetsvc.service" "${pkgdir}/usr/lib/systemd/system/devolonetsvc.service"
}

sha256sums=('20029cfb6d2583f1adf0746a6f0b4afcfc0eed94830a61ffeaf5834d8c1d6fe4'
            '6f187ca5c7a599b5394ea09cd68885168dbd19b5bd72df5ce083e721e2f0a12c')

Lone_Wolf commented on 2020-11-01 12:12

@squid-f : adobe-air-sdk needs stuff from multilib repo, check your /etc/pacman.conf to verify you have it enabled.

squid-f commented on 2020-08-21 19:55

Hi. On a fresh manjaro installation, pamac refuses to install cockpit. It freezes while trying to clone adobe-air-sdk. Has someone seen that already ? Thanks

Rickay commented on 2020-06-14 06:44

thanks for maintaining this package and thanks @yotties for his useful commentary

plenaerts commented on 2020-04-28 05:47

@abruegmann yes, adobe-air-sdk is required.

abruegmann commented on 2020-04-25 16:15

Is adobe-air-sdk still required as dependency? It's no longer supported by Adobe for some years.

dmoebius commented on 2018-11-17 22:58

There's an update: 5.0 https://www.devolo.com/support/downloads/download/devolo-cockpit.html

yotties commented on 2018-04-11 11:46

On Manjaro it works fine after I run sudo systemctl start devolonetsvc

Basxto commented on 2017-06-26 18:32

.SRCINFO and PKGBUILD mismatch

XTREEMRAGE commented on 2016-07-16 21:07

Thanks it works after reading the terminal for some pointers ;D